import { MetadataStorage } from "../metadata/metadata-storage";

/**
 *
 */
export function getMetadataStorage(): MetadataStorage {
    const globalScope: any = global;

    if (!globalScope.odooMetadataStorage) {
        globalScope.odooMetadataStorage = new MetadataStorage();
    }

    return globalScope.odooMetadataStorage;
}